Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.fdk.impl
Class ItemTypeRegistry

    java.lang.Object
      oracle.ifs.fdk.impl.ItemTypeRegistry

Direct Known Subclasses:
  CoreItemTypeRegistry

    public abstract class ItemTypeRegistry

extends java.lang.Object

Represents a simple mapping between the repository object class and the item type.

Constructor Summary
`ItemTypeRegistry()` Constructs an ItemTypeRegistry.

Method Summary
`protected java.lang.String` | `getItemType(java.lang.Class reposClass)` Gets an item type for the given repos class.
`java.lang.String` | `getItemType(LibraryObject reposObject)` Returns the ItemType corresponding to the repository object or `null` if the object class is not registered.
`protected void` | `register(java.lang.Class c, java.lang.String itemType)` Registers a new type mapping.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ItemTypeRegistry

    public ItemTypeRegistry()

  Constructs an ItemTypeRegistry.

Method Detail

### getItemType

    public final java.lang.String getItemType(LibraryObject reposObject)

  Description copied from class: `ItemTypeRegistry`
  Returns the ItemType corresponding to the repository object or `null` if the object class is not registered.

### getItemType

    protected final java.lang.String getItemType(java.lang.Class reposClass)

  Description copied from class: `ItemTypeRegistry`
  Gets an item type for the given repos class.

  Parameters:
    `reposClass` - name of repos java class
  Returns:
    name of the item type; can be null

### register

    protected void register(java.lang.Class c,
                            java.lang.String itemType)

  Description copied from class: `ItemTypeRegistry`
  Registers a new type mapping.

  Parameters:
    `c` - Repository object class to map to an item type.
    `itemType` - The item type to map the class to.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD